IncludeTargets (Grails 2.4.4)
Date: 2014-10-28

Package: org.codehaus.groovy.grails.cli.fork

## [Groovy] Class IncludeTargets

- org.codehaus.groovy.grails.cli.fork.IncludeTargets

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `groovy.lang.Binding` | `binding`
    `java.lang.ClassLoader` | `classLoader`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `IncludeTargets (java.lang.ClassLoader classLoader, groovy.lang.Binding binding)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `java.lang.Object` | `leftShift(java.lang.Class<groovy.lang.Script> theClass)` Implementation of the << operator taking a `Class` parameter.
    `java.lang.Object` | `leftShift(java.io.File f)` Implementation of the << operator taking a `Class` parameter.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Property Detail

    - #### groovy.lang.Binding binding

    - #### java.lang.ClassLoader classLoader

  - ### Constructor Detail

    - #### IncludeTargets(java.lang.ClassLoader classLoader, groovy.lang.Binding binding)

  - ### Method Detail

    - #### java.lang.Object leftShift(java.lang.Class<groovy.lang.Script> theClass)

      Implementation of the << operator taking a `Class` parameter.

      Parameters:
        `theClass` - The `Class` to load and instantiate.
      Returns:
        The includer object to allow for << chaining.

    - #### java.lang.Object leftShift(java.io.File f)

      Implementation of the << operator taking a `Class` parameter.

      Parameters:
        `theClass` - The `Class` to load and instantiate.
      Returns:
        The includer object to allow for << chaining.